ScanningDirectionType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum ScanningDirectionType

- java.lang.Object
- - java.lang.Enum<ScanningDirectionType>
  - - tv.amwa.maj.enumeration.ScanningDirectionType

- All Implemented Interfaces:
    Serializable, Comparable<ScanningDirectionType>, MediaEnumerationValue

      public enum ScanningDirectionType
      extends Enum<ScanningDirectionType>
      implements MediaEnumerationValue

  Describes the scanning direction of an image.

  Informative note: The values of scanning direction type match the equivalent type in SMPTE 268M.

  Original C name: `aafScanningDirection_e`

  See Also:
    `TypeDefinitions.ScanningDirectionType`, `RGBADescriptor.getScanningDirection()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BottomToTopLeftToRight` Scan from bottom to top, left to right.
    `BottomToTopRightToLeft` Scan from bottom to top, right to left.
    `LeftToRightBottomToTop` Scan from left to right, bottom to top.
    `LeftToRightTopToBottom` Scan from left to right, top to bottom.
    `RightToLeftBottomToTop` Scan from right to left, bottom to top.
    `RightToLeftTopToBottom` Scan from right to left, top to bottom.
    `TopToBottomLeftToRight` Scan from top to bottom, left to right.
    `TopToBottomRightToLeft` Scan from top to bottom, right to left.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
    `static ScanningDirectionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ScanningDirectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

      `name`

- - ### Enum Constant Detail

    - #### LeftToRightTopToBottom

          public static final ScanningDirectionType LeftToRightTopToBottom

      Scan from left to right, top to bottom.

    - #### RightToLeftTopToBottom

          public static final ScanningDirectionType RightToLeftTopToBottom

      Scan from right to left, top to bottom.

    - #### LeftToRightBottomToTop

          public static final ScanningDirectionType LeftToRightBottomToTop

      Scan from left to right, bottom to top.

    - #### RightToLeftBottomToTop

          public static final ScanningDirectionType RightToLeftBottomToTop

      Scan from right to left, bottom to top.

    - #### TopToBottomLeftToRight

          public static final ScanningDirectionType TopToBottomLeftToRight

      Scan from top to bottom, left to right.

    - #### TopToBottomRightToLeft

          public static final ScanningDirectionType TopToBottomRightToLeft

      Scan from top to bottom, right to left.

    - #### BottomToTopLeftToRight

          public static final ScanningDirectionType BottomToTopLeftToRight

      Scan from bottom to top, left to right.

    - #### BottomToTopRightToLeft

          public static final ScanningDirectionType BottomToTopRightToLeft

      Scan from bottom to top, right to left.

  - ### Method Detail

    - #### values

          public static ScanningDirectionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ScanningDirectionType c : ScanningDirectionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ScanningDirectionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          @Int64
          public long value()

      Description copied from interface: `MediaEnumerationValue`

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Specified by:
        `value` in interface `MediaEnumerationValue`
      Returns:
        Unique integer value associated with an enumeration constant.

    - #### symbol

          public String symbol()

      Description copied from interface: `MediaEnumerationValue`

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Specified by:
        `symbol` in interface `MediaEnumerationValue`
      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.